type 'a t
val diff : 'a t -> 'a t -> 'a t
val empty : 'a t
val filter : ('a -> bool) -> 'a t -> 'a t
val insert : 'a -> 'a t -> 'a t
val is_empty : 'a t -> bool
val mem : 'a -> 'a t -> bool
val of_list : 'a list -> 'a t
val print_st :
 (Format.formatter -> 'a -> unit) -> Format.formatter -> 'a t -> unit
val singleton : 'a -> 'a t
val to_list : 'a t -> 'a list
val union : 'a t -> 'a t -> 'a t
